#include "TTP229L_I2C.h"

unsigned int data;

#define debugKs0260 false

KS0260Buttons btns = KS0260Buttons();

void setup() {
  Serial.begin(9600);
}

void loop() {
  data = TTP229_i2c_read();
  if (data != 2 && data != 0) {
    String button = "-undefine-";
    switch (data) {
      case btns.button_power:
        button = "Power";
        break;
      case btns.button_raspberry:
        button = "Raspberry";
        break;
      case btns.button_up:
        button = "Up";
        break;
      case btns.button_down:
        button = "Down";
        break;
      case btns.button_left:
        button = "Left";
        break;
      case btns.button_right:
        button = "Right";
        break;
      case btns.button_home:
        button = "Home";
        break;
      case btns.button_triangle:
        button = "Triangle";
        break;
      case btns.button_quare:
        button = "Quare";
        break;
      case btns.button_circle:
        button = "Circle";
        break;
      case btns.button_cross:
        button = "Cross";
        break;
      case btns.button_l:
        button = "L";
        break;
      case btns.button_minus:
        button = "Minus (-)";
        break;
      case btns.button_plus:
        button = "Plus (+)";
        break;
      case btns.button_r:
        button = "R";
        break;
      default:
        Serial.println("Unknown Code[" + String(data, DEC) + "] found!");
    }
    Serial.println(button);
  }
}
